import React from 'react';
import ReactDOM from 'react-dom';
import { useData } from './useData';
import { Marks } from './Marks';

//Determining svg graph dimensions for proper visualization
const width = 960;
const height = 550;

//useData() method is used to share data across the components depending on thehooks
const App = () => {
  const data = useData();

//Displays Loading where there is no data
  if (!data) {
    return <pre>Loading...</pre>;
  }

//Displays the graphic provided there is data
  return (
    <svg width={width} height={height}>
      <Marks data={data} />
    </svg>
  );
};

//Passing the DOM element to ReactDOM.createRoot(), 
	//then passing the React element to root.render()
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
