//import Reacting and a few hooks
import React, { useState, useEffect } from 'react';

//importing json() from D3
import { json } from 'd3';

//importing feature() and mesh() methods from TopoJSON
import { feature, mesh } from 'topojson';

//Link containing geographic data of the US 
const jsonUrl = 'https://unpkg.com/us-atlas@3.0.0/states-10m.json';

//useData() method is used to share data across components based on hooks
export const useData = () => {
  const [data, setData] = useState(null);

//useEffect() for other side effects
  useEffect(() => {
    json(jsonUrl).then(topology => {
      
//assigning ojects to 'states' variable    
      const { states } = topology.objects;
      setData({
        land: feature(topology, states),
        interiors: mesh(topology, states, (a, b) => a !== b)
      });
    });
  }, []);

//returning the map
  return data;
};
